mia-meshfilter(1)

NAME
mia-meshfilter - Run filters on a 3D mesh.

SYNOPSIS
mia-meshfilter -i <in-file> -o <out-file> [options] <PLUGINS:mesh/filter>

DESCRIPTION
mia-meshfilter This program runs a series filters on a given input mesh. The filters are given as extra parameters on the command line and are run in the order in which they are given. To obtain a list of available filters you may run
   'mia-plugin-help mesh/filter' from the command line

OPTIONS

    -i --in-file=(input, required); io
        input mesh to be filtered
         For supported file types see PLUGINS:mesh/io

    -o --out-file=(output, required); io
        output mesh that have been filtered
         For supported file types see PLUGINS:mesh/io

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: mesh/filter

addscale
    This filter sorts sets the scale parameter for each vertex from a 3D image. Image and mesh are expected to be in the same physical coordinate space., supported parameters are:

    img =(required, string)
        3DImage that contains the scale values as a volume image..

deltribynormal
    This filter deletes all triangles that have a normal that differs by the given angle from the provided direction., supported parameters are:

    angle = 5; float
        Tolerance angle (in degree) that the normal can diviate from the provided direction..

    dir =(required, 3dfvector)
        Direction the triangle normals are expected to point to. The orientation of the vector is taken into account..

scale
    This plug-in provides a filter to scale triangulat meshes by a given strategy, supported parameters are:

    anisoscale = [[1,1,1]]; 3dfvector
        Ansiotropic scaling parameter..

    box-end = [[256,256,256]]; 3dfvector
        Box end for fitbox scaling..

    box-start = [[0,0,0]]; 3dfvector
        Box start for fitbox scaling..

    isoscale = 1; float
        Isotropic scaling parameter..

    shift = [[0,0,0]]; 3dfvector
        Shift mesh after scaling..

    strategy = iso-linear; dict
        Isotropic scaling parameter.. Supported values are:
            iso-linear - Scale and shirt the mesh by scaling it isotropically as given by parameter 'isoscale' and apply a shift as given by parameter 'shift'
            aniso-linear - Scale and shirt the mesh by scaling it anisotropically as given by parameter 'anisoscale' and apply a shift as given by parameter 'shift'
            iso-fitbox - Fit the mesh into the given box by shifting it and apply isotropic scaling. The box is given by the parameters 'box-start' for upper, left, frontal corner, and 'box-end' for the lower, right back corner
            aniso-fitbox - Fit the mesh into the given box by shifting it and apply anisotropic scaling. The box is given by the parameters 'box-start' for upper, left, frontal corner, and 'box-end' for the lower, right back corner

selectbig
    This filter selects the component with the highest number of triangles from a mesh that is actually composed of disconnected components. Components are considered to be disconnected if they don't share a common edge (they might share a common vertex though

    (no parameters)

vtxsort
    This filter sorts the vertices of a mesh according to the given direction. Specifically, the dot product between the given direction and the vertices will be ordered ascending, supported parameters are:

    dir = [[0,0,1]]; 3dfvector
        Sorting direction,.

PLUGINS: mesh/io

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

off plugin to load/store some Geomview OFF files. Supported is only the ASCII format 3D meshes with normales and per-vertex RGB colors. Alpha values and texture coordinates, as well as per face properties are ignored. Polygons are read and triangulated.

    Recognized file extensions: .OFF, .off

ply Ply triangle mesh input/output support

    Recognized file extensions: .PLY, .ply

stl STL mesh io plugin

    Recognized file extensions: .STL, .stl

vista
    Vista/Simbio triangle mesh input/output support

    Recognized file extensions: .-, .V, .VMESH, .v, .vmesh

vtk A subset of VTK mesh in-and output: Triangle meshes are written, and triangle meshes and triangle strips are read. Additional per-vertex attributes are supported: 'normals', 'colors' for three component colors, and 'scale' for a scalar value attached to each vertex. The data is written by the vtkPolyDataWriter in binary format.

    Recognized file extensions: .VTK, .VTKMESH, .vtk, .vtkmesh

EXAMPLE
Run an isotropic scaling on input.vmesh to fit it into the box defined by the corners <0,0,0> - <128,128,128> and save the result to output.vmesh

mia-meshfilter -i input.vmesh -o output.vmesh scale:strategy=iso-fitbox,box-start=[<0,0,0>],box-end=[<128,128,128>]

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.